"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

class StorageError extends Error {
  constructor(message, code, data) {
    super();
    this.name = 'StorageError';
    this.message = message;
    this.code = code || null;
    this.data = data;
    Error.captureStackTrace(this, this.constructor);
  }

}

var _default = StorageError;
exports.default = _default;
//# sourceMappingURL=storageError.js.map